AIX shows wrong oslevel

AIX shows wrong oslevel

$ oslevel -r

5300-08

Yet I know I have installed TL10

Use this command to find all the service packs installed

$ oslevel -sq

Known Service Packs

——————-

5300-11-07-1119

5300-11-06-1107

So it has the TL11 SP 07 service pack but oslevel –r only shows TL08

So let us list what filesets did not get upgraded to the latest :-

$ oslevel -r -l 5300-11

Fileset                                 Actual Level           Recommended ML

—————————————————————————–

xlsmp.rte                               1.7.0.0                1.8.0.1       

$  oslevel -r -l 5300-10

Fileset                                 Actual Level           Recommended ML

—————————————————————————–

xlsmp.rte                               1.7.0.0                1.8.0.0       

$  oslevel -r -l 5300-09

Fileset                                 Actual Level           Recommended ML

—————————————————————————–

xlsmp.rte                               1.7.0.0                1.8.0.0       

$

So it is just the xlsmp.rte  one 

On your NIM server  find  xlsmp.rte

find /export/lpp_source -name \*xlsmp\*


We want

/export/lpp_source/lpp-5-3-tl11sp6/installp/ppc/xlsmp.aix53.rte.1.8.0.1.I

/export/lpp_source/lpp-5-3-tl11sp6/installp/ppc/xlsmp.rte.1.8.0.1.I


on your server mkdir /var/tmp/xlsmp and copy the above to files to it

cd /var/tmp/xlsmp

inutoc .

smitty

software installation – install software – directory  .

select the two items and install

Now oslevel is correct

oslevel -s
5300-11-07-1119

Leave a Reply

Your email address will not be published. Required fields are marked *